# Get receivables for a given file. Only valid with client credentials flow Endpoint: GET /api/v3/receivables/{companyId}/batches/{batchId}/transactions Version: v3 Security: client_credentials, implicit, client_credentials_dev, implicit_dev ## Path parameters: - `companyId` (string, required) Company Id - `batchId` (string, required) Batch id ## Query parameters: - `take` (integer) Pagination: Max number to return (default 100) - `skip` (integer) Pagination: Number to skip (default 0) ## Response 200 fields (text/plain): - `totalCount` (integer) - `skip` (integer,null) - `take` (integer,null) - `items` (array,null) - `items.receivableId` (string) Unique reference for receivable - `items.entryId` (string,null) Entry id from account statement - `items.entryReference` (string,null) EntryReference - `items.accountNumber` (string,null) Deposit account - `items.debtorAccountNumber` (string,null) Withdrawal account - `items.debtorName` (string,null) Customer name - `items.debtorAddress` (string,null) Customer address - `items.archiveReference` (string,null) Bank reference - `items.structuredReference` (string,null) KID, FIK, OCR (SCOR reference) - `items.description` (string,null) Unstructured reference (payment message) - `items.invoiceNumber` (string,null) Invoice number - `items.bookingDate` (string) Processed date - `items.valueDate` (string) Exchange date - `items.amount` (number) Payment amount or fee amount - `items.currency` (string,null) Payment or fee currency type - `items.bookedAmount` (number,null) Booked amount - `items.exchangeRate` (number,null) Exchange rate - `items.accountCurrency` (string,null) Currency of bank account; - `items.chargeAmount` (number,null) Charge amount - `items.chargeCurrency` (string,null) Charge Currency - `items.type` (integer) TransactionType * 0 - Payment * 1 - Charge Enum: 0, 1 - `items.bankTransactionCode` (string,null) Bank Transaction Codes Domain, Family and Sub-Familiy, dash separated. - `items.errorMessage` (string,null) Error message, only exists on error state ## Response 401 fields ## Response 404 fields